<?= $this->fetch('header.phtml', ['texts' => isset($texts) ? $texts : []]) ?>

<?php

    if (isset($texts)) {

        foreach ($texts as $text) {
            if ($text['id'] === 'intro') {
                $sectionClass = 'section';
            } else {
                $sectionClass = 'section section-silver';
                if (in_array($text['id'], array('website', 'goals'))) {
                    $sectionClass = 'section section-white';
                }
            }

            $containerClass = 'container';
            if ($text['id'] === 'goals') {
                $containerClass = 'container text-center';
            }

?>
            <?php if ($text['id'] !== 'intro'): ?>
                <a name="<?= $text['id'] ?>"></a>
            <?php endif; ?>

            <section class="<?= $sectionClass ?>">
                <div class="<?= $containerClass ?>">
                    <div class="<?= $text['id'] ?>">

                        <?php if ($text['id'] === 'intro'): ?>
                            <h1><?= $text['name'] ?></h1>
                        <?php else: ?>
                            <h2><?= $text['name'] ?></h2>
                        <?php endif; ?>

                        <?= $text['description'] ?>

                        <?php if ($text['id'] === 'technology' && isset($text['items']) && $text['items']): ?>
                            <div class="cards owl-carousel owl-theme">
                            <?php foreach ($text['items'] as $item): ?>
                                <div class="item">
                                    <span><?= $item['name'] ?></span>
                                    <p><?= $item['description'] ?></p>
                                </div>
                            <?php endforeach; ?>
                            </div>
                        <?php endif; ?>

                        <?php if ($text['id'] === 'goals' && isset($text['items']) && $text['items']): ?>
                            <div id="goals">
                                <div class="goals">
                                    <p><?= $text['items'][0]['description'] ?></p>
                                </div>
                                <div class="goal-dots">
                                    <?php foreach ($text['items'] as $key => $item): ?>
                                        <span data-id="<?= $item['id'] ?>" <?= !$key ? 'class="active"' : '' ?>>&#160;</span>
                                    <?php endforeach; ?>
                                </div>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </section>
<?php
        }
    }
?>

<?= $this->fetch('footer.phtml', ['texts' => isset($texts) ? $texts : []]) ?>